<?
  /***
   * AJAX File Upload v0.1
   * Author:   Reinholds Zviedris, soft.warez.HQ
   * URL:      http://soft.warez.lv/
   **/
   
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title>AJAX File Upload v0.1</title>
  <link rel="stylesheet" type="text/css" href="style.css" />
  <script type="text/javascript" src="webtool.aim.js"></script>
  <script type="text/javascript">
    function startCallback() {
      // make something useful before submit (onStart)
      var images = document.getElementById('images');
	    var new_div = document.createElement('div');
	          
	    new_div.id = 'loading';
	    new_div.className = 'load';
	          
	    var new_img = document.createElement('img');
	    new_img.src = 'indicator.gif';
	    new_div.appendChild(new_img);
	    images.appendChild(new_div);
	          
      return true;
    }

    function completeCallback(response) {
      // make something useful after (onComplete)
      document.getElementById('iform').reset();
      var images = document.getElementById('images');
      var loading = document.getElementById('loading');
      images.removeChild(loading);
      
      if( response != '-' && response != 'X' ) {
        var imgname = response;
        var container = document.createElement('div');
        var imgdiv = document.createElement('div');
        var infodiv = document.createElement('div');
              
        container.className = 'container';
        imgdiv.className = 'imgdiv';
        infodiv.className = 'infodiv';
        infodiv.innerHTML = 'filename';
              
        var tmp = document.createElement('a');
        tmp.innerHTML = '<img src="resize.php?pic='+imgname+'" border="0" alt="" />';
        tmp.href = imgname;
        tmp.target = '_blank';
              
        imgdiv.appendChild(tmp);
              
        container.appendChild(imgdiv);
        container.appendChild(infodiv);
              
        images.appendChild(container);
      } else {
        if( response == '-' ) {
          alert('Sorry!\nNothing got uploaded!');
        } else if( response == 'X' ) {
          alert('Sorry!\nWrong file type!');
        } else {
          alert('Some kind of unknown error happened!');
        }
      }
    }
  </script>
</head>

<body>
  <h1>AJAX File Upload</h1>
  <p>Version 0.1<br />&copy;2007 <a href="http://19pints.com/">Reinholds Zviedris</a>, 
  <a href="http://soft.warez.lv/">soft.warez.HQ</a>.<br />Based on Webtoolkit's 
  <a href="http://www.webtoolkit.info/ajax-file-upload.html">AJAX File Upload</a> and Martin Konicek's 
  <a href="http://www.air4web.com/files/upload/">Asynchronous image file upload without AJAX</a>.</p>
  <h2>Info</h2>
  <p>Small script that allows to upload files via background like Google's <a href="http://www.gmail.com/">Mail</a>, 
  without reloading the page. Uses PHP and JavaScript.<br />
  If you are intending to use it somewhere, please, give a credit to author.<br />
  Tested in Microsoft Internet Explorer 5.5+, Mozilla FireFox 1.0+, Opera 8.0+, Safari.</p>
  <h2>Download and usage</h2>
  <ol>
    <li>Download AJAX File Upload - <a href="ajaxfu-0.1.zip">ajaxfu-0.1.zip</a></li>
    <li>Unzip it to the web accessible directory</li>
    <li>Make sure, that you have at least <a href="http://www.php.net/">PHP 4</a></li>
    <li>Give full permissions to <em>upload</em> directory, so that webserver can write in it</li>
    <li>Open webbrowser and try it out!</li>
  </ol>
  <h2>Demo</h2>
  <div id="fileupload">
    <form action="upload.php" name="iform" id="iform" enctype="multipart/form-data" method="post" onsubmit="return AIM.submit(this, {'onStart' : startCallback, 'onComplete' : completeCallback})">
      <fieldset>
        <legend>File to upload</legend>
        <label>File (only JPGs allowed):</label> <input type="file" id="ffile" name="ffile" />
        <input type="submit" value="SUBMIT" />
      </fieldset>        
    </form>
  </div>
    
  <div id="images"></div>
</body>
</html>